Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript!

Flyme 5.1.6.0G

Hello.I am using Flyme 5.1.6.0.G.My phone is chinese with Global ROM?Can i update it ?If yes can you send me the newest version and a guide? Thanks.

Looks like your connection to Flyme 5.1.6.0G was lost, please wait while we try to reconnect.